import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { OverviewPageRoutingModule } from 'app/pages/overview/overview-page-routing.module';
import { OverviewPageComponent } from 'app/pages/overview/overview-page.component';
import { DashboardCardComponent } from 'app/commons/component/dashboard-card/dashboard-card.component';
import { DashboardCardModule } from 'app/commons/component/dashboard-card/dashboard-card.module';
import { MaterialModule } from 'app/commons/ui/material/material.module';
import { AddDashboardDialogComponent } from './add-dashboard-dialog/add-dashboard-dialog.component';
import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';
import { SensorSummaryComponent } from '../../commons/component/sensor-summary/sensor-summary.component';
import { SensorItemFilterComponent } from '../../commons/component/sensor-item-filter/sensor-item-filter.component';
import { NgxChartsModule } from '@swimlane/ngx-charts';

@NgModule({
  imports: [
    CommonModule,
    OverviewPageRoutingModule,
    DashboardCardModule,
    MaterialModule,
    PerfectScrollbarModule,
    NgxChartsModule
  ],
  declarations: [
    OverviewPageComponent,
    AddDashboardDialogComponent,
    SensorSummaryComponent,
    SensorItemFilterComponent
  ],
  entryComponents: [
    AddDashboardDialogComponent
  ]
})
export class OverviewPageModule { }
